Subject: bug#15428: closed (Re: bug#15428: `guix pull' failed on debian jessie)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Sep 2013 20:19:03 +0000

Your bug report

#15428: `guix pull' failed on debian jessie

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15428: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15428
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15428: `guix pull' failed on debian jessie
From: [email-masked] (Ludovic Courtès)
To: Cyrill Schenkel <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Sep 2013 22:18:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Cyrill Schenkel <[email-masked]> skribis:

> I fixed the thing. It works for me now.
> The patch is attached.

Indeed.  I pushed a slightly different patch as 3b627ea.

Thanks for the report and patch!

Ludo’.

Subject: `guix pull' failed on debian jessie
From: Cyrill Schenkel <[email-masked]>
To: [email-masked]
Date: Fri, 20 Sep 2013 21:37:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello

I just built the latest version (commit:
2cd09108c9b316c9c8aa1c1b87b85a1c32cef089) of guix from
the repository. After compiling I tried to run `guix pull' what
resulted in following error:

Backtrace:
In ice-9/boot-9.scm:
 157: 10 [catch #t #<catch-closure 19ed400> ...]
In unknown file:
   ?: 9 [apply-smob/1 #<catch-closure 19ed400>]
In ice-9/boot-9.scm:
  63: 8 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 7 [eval # #]
In ice-9/boot-9.scm:
2320: 6 [save-module-excursion #<procedure 1a04cc0 at
ice-9/boot-9.scm:3961:3 ()>]
3966: 5 [#<procedure 1a04cc0 at ice-9/boot-9.scm:3961:3 ()>]
In unknown file:
   ?: 4 [load-compiled/vm
"/home/sirius/.cache/guile/ccache/2.0-LE-8-2.0/usr/bin/guix.go"]
In guix/ui.scm:
 544: 3 [run-guix-command pull]
In ice-9/boot-9.scm:
 157: 2 [catch srfi-34 #<procedure 24f8840 at guix/ui.scm:157:2 ()> ...]
 157: 1 [catch system-error ...]
In guix/scripts/pull.scm:
 203: 0 [#<procedure 24f8860 at guix/scripts/pull.scm:187:2 ()>]

guix/scripts/pull.scm:203:10: In procedure #<procedure 24f8860 at
guix/scripts/pull.scm:187:2 ()>:
guix/scripts/pull.scm:203:10: Throw to key `vm-error' with args
`(vm-run "Too few values returned to continuation" ())'.

Regards,
Cyrill